# Elementor Pro - by Elementor.com

#### 2.1.11- 2018-10-22
* New: Added ACF local fields compatibility
* Tweak: Re-brand TypeKit by Adobe Fonts integration
* Fix: Exclude `is_embed` from Singular condition ([#5915](https://github.com/pojome/elementor/issues/5915))
* Fix: Avoid conflict with Ad Blockers and Share Buttons
* Fix: Current date time dynamic tag now shows local time
* Fix: Avoid conflict with 3rd party plugins that filter the permalink
* Fix: Avoid PHP warning when no groups are selected for MailChimp integration
* Fix: Avoid PHP warning if checkbox field is empty for ACF
* Fix: Respect password protected for a WC single product template
* Fix: Respect `order` settings for WC archive also without pagination

#### 2.1.10 - 2018-10-09
* Tweak: Added responsive alignment control for Share Buttons widget ([#5821](https://github.com/pojome/elementor/issues/5821))
* Tweak: Added link control to Animated Headline widget
* Fix: Mobile nav menu jump on RTL ([#5711](https://github.com/pojome/elementor/issues/5711))
* Fix: Responsive alignment control in Add to Cart widget ([#5830](https://github.com/pojome/elementor/issues/5830))
* Fix: Added IE compatibility for Animated Headline widget
* Fix: Post Content widget is now shown only on `Single` templates
* Fix: Query Control Pagination with offset

#### 2.1.9 - 2018-09-17
* Tweak: Added Centered Slides option for Slideshow carousel
* Fix: Allow only public CPT for Manual Selection in Query Control ([#5091](https://github.com/pojome/elementor/issues/5091))
* Fix: ACF Gallery option support ([#5344](https://github.com/pojome/elementor/issues/5344))
* Fix: Page scrolling on resize when sticky is active ([#5740](https://github.com/pojome/elementor/issues/5740))
* Fix: Edit custom name for Global Widget in the Navigator ([#5689](https://github.com/pojome/elementor/issues/5689))
* Fix: Coverflow transition effect in Carousel
* Fix: Weird mobile behavior with Cube effect in Carousel
* Fix: Show the first thumbnail in the Slideshow carousel correctly

#### 2.1.8 - 2018-09-12
* Tweak: Added styling options for WC Additional Information widget
* Tweak: Added styling options for 'View Cart' link in Products widget
* Fix: 3rd party plugin support for WC single product template ([#5338](https://github.com/pojome/elementor/issues/5338))
* Fix: Layout of Related Product widget with WC native style

#### 2.1.7 - 2018-09-03
* New: WC Archive Description widget
* Tweak: Added blend mode to Slides widget background overlay ([#5555](https://github.com/pojome/elementor/issues/5555))
* Tweak: Added 'Current Subcategories' option to Product Categories widget
* Fix: Added default vertical alignment in Author Box widget ([#5589](https://github.com/pojome/elementor/issues/5589))
* Tweak: Added more blend mode options for CTA widget
* Tweak: Improved plugin updater method based on WordPress version
* Fix: Improved IE compatibility for Posts and Portfolio widgets
* Fix: Added default gap for products pagination
* Fix: Post thumbnail flickering in Safari browser
* Fix: Close mobile nav menu on click only in full-width mode
* Fix: Added trailing slash to pagination links in Posts widget

#### 2.1.6 - 2018-08-28
* New: WC Product Category Image widget and Dynamic tag ([#5117](https://github.com/pojome/elementor/issues/5117))
* Tweak: Allow HTML in Excerpt widget ([#5491](https://github.com/pojome/elementor/issues/5491))
* Tweak: Added compatibility for the upcoming release of Elementor v2.2
* Tweak: Deprecated Follow option in the Facebook Button widget
* Fix: Posts widget grid in Safari & IE11 (Depended on Elementor v2.2)
* Fix: Posts widget CSS when using cards skin in masonry mode
* Fix: ACF Image & ACF URL option support ([#5344](https://github.com/pojome/elementor/issues/5344))
* Fix: WC product gallery links in RTL
* Fix: Dynamic tags in Call To Action widget

#### 2.1.5 - 2018-08-21
* Tweak: Added compatibility for the upcoming release of Elementor v2.2
* Fix: Posts Widget layout theme compatibility
* Fix: Added compatibility for WooCommerce native style

#### 2.1.4 - 2018-08-19
* Fix: Layout issue compatibility with themes caused by v2.1 ([#5442](https://github.com/pojome/elementor/issues/5442))
* Fix: Dynamic setting in Pricing Table widget ([#5460](https://github.com/pojome/elementor/issues/5460))
* Fix: Hide Target URL control if is not necessary in Blockquote widget
* Fix: Selector specificity for WooCommerce Products widget
* Fix: WooCommerce conflicts in the editor in edge cases

#### 2.1.3 - 2018-08-15
* Fix: Thumbnails in the Posts widget jumping ([#5350](https://github.com/pojome/elementor/issues/5350))
* Fix: Responsive grid in the Share Buttons widget ([#5375](https://github.com/pojome/elementor/issues/5375))
* Fix: Added missing `setup_postdata` for Product Data Tabs widget
* Fix: Rollback to older version of Flip Box widget to resolve 3D depth issue ([#5399](https://github.com/pojome/elementor/issues/5399))
* Fix: Allowed types in the Upload File field are now case-insensitive ([#5254](https://github.com/pojome/elementor/issues/5254))
* Fix: Carousel behavior when using a single slide

#### 2.1.2 - 2018-08-12
* Fix: Error when ACF Pro is not installed ([#5367](https://github.com/pojome/elementor/issues/5367))
* Fix: Edge cases in Inspector where document is a boolean
* Fix: Edge cases for incorrect file fields in PODS

#### 2.1.1 - 2018-08-09
* Fix: Highlighted text in Animated Headline widget ([#5345](https://github.com/pojome/elementor/issues/5345))
* Fix: Flip Box effect issues
* Fix: ACF Options page fields support ([#5329](https://github.com/pojome/elementor/issues/5329))
* Fix: Import Pro templates in edge cases

#### 2.1.0 - 2018-08-07
* New: Introducing WooCommerce Builder ([#1690](https://github.com/pojome/elementor/issues/1690))
* New: Introducing 12 new dynamic tags & widgets for WooCommerce: Gallery, Image, Price, Rating, Description, Breadcrumbs, Data Tabs, Stock, Related, Upsell, Title & Archive
* New: Introducing Cart Menu widget ([#4220](https://github.com/pojome/elementor/issues/4220), [#4600](https://github.com/pojome/elementor/issues/4600))
* New: Added integration with Toolset ([#2949](https://github.com/pojome/elementor/issues/2949))
* New: Added integration with Pods ([#4129](https://github.com/pojome/elementor/issues/4129))
* New: Added stick to bottom in scrolling effects ([#4799](https://github.com/pojome/elementor/issues/4799))
* New: Added Scrolling Effect to Widgets under advanced tab
* New: Introducing Internal URL Dynamic Tag
* Tweak: Added a Last Updated Date in the Post Info widget ([#4597](https://github.com/pojome/elementor/issues/4597))
* Tweak: Added Redirect after Logout option for Login widget ([#4447](https://github.com/pojome/elementor/issues/4447))
* Tweak: Avoid repeating posts when using more than one in the Posts widget ([#1878](https://github.com/pojome/elementor/issues/1878))
* Tweak: Add Custom Query hook for Query control ([More Info](https://developers.elementor.com/custom-query-filter/)) ([#1748](https://github.com/pojome/elementor/issues/1748))
* Tweak: Added form-message style ([#1180](https://github.com/pojome/elementor/issues/1180))
* Tweak: Added dynamic tag for button on the Price Table widget ([#4242](https://github.com/pojome/elementor/issues/4242))
* Tweak: Added dynamic tag for Call to action widget ([#4767](https://github.com/pojome/elementor/issues/4767))
* Tweak: Added Dynamic Tags support for Google Map field ([#4602](https://github.com/pojome/elementor/issues/4602))
* Tweak: Added an support for `label|value` in options field ([#4594](https://github.com/pojome/elementor/issues/4594))
* Tweak: Added `by-author` condition for theme builder ([#4681](https://github.com/pojome/elementor/issues/4681))
* Tweak: Added Activate/Deactivate license key via WP-CLI command ([#4149](https://github.com/pojome/elementor/issues/4149))
* Tweak: Added `is_scroll` trigger to scrolling effect ([#4340](https://github.com/pojome/elementor/issues/4340))
* Tweak: Added In Same Term support for Post Navigation widget ([#4177](https://github.com/pojome/elementor/issues/4177))
* Tweak: Added responsive control for Slides To Scroll control in all carousel widgets ([#3697](https://github.com/pojome/elementor/issues/3697))
* Tweak: Added button CSS ID for Forms widget
* Tweak: Added pixel units to Post-Info divider height control
* Tweak: Rewrite sticky library to handle with stretch section, auto scroller & more bugs
* Tweak: Re-organize the panel categories per document type
* Tweak: Added style options for Posts widget
* Tweak: Added ACF support for `options-page` fields
* Tweak: Added dynamic tag for Animated headlines
* Tweak: Added dynamic tag for BlockQuote widget
* Fix: Elementor Full Width template in GeneratePress theme ([#4817](https://github.com/pojome/elementor/issues/4817))
* Fix: Checkbox fields can accidentally be set to required ([#4324](https://github.com/pojome/elementor/issues/4324))
* Fix: Initial slide in Carousel widget
* Fix: Stay on current slide while editing in Carousel widget
* Fix: Default slides per device in Carousel widget
* Deprecated: Woo Products, Woo Elements & Single elements widgets

#### 2.0.18 - 2018-07-27
* Fix: Global widget error on saving page

#### 2.0.17 - 2018-07-26
* Fix: Sub menu indicator direction in Nav Menu widget
* Fix: Change the title and icon for Global Widget when is moving
* Fix: CSS wrapper selector for Page Document

#### 2.0.16 - 2018-07-16
* Tweak: CSS Filter Control module is now included in Elementor
* Fix: Border gap in Portfolio widget when item gap set as `0` ([#5077](https://github.com/pojome/elementor/issues/5077))
* Fix: Restore current query after get Global Widget data
* Fix: Add action item in History on unlink Global widget

#### 2.0.15 - 2018-07-10
* Fix: Dropdown menu items collapsing when activated ([#4996](https://github.com/pojome/elementor/issues/4996))
* Fix: GMT offset in Countdown widget ([#4997](https://github.com/pojome/elementor/issues/4997))

#### 2.0.14 - 2018-07-08
* Tweak: Added set method to form record for developers ([#4983](https://github.com/pojome/elementor/issues/4983))
* Fix: Autoplay option for Carousels
* Fix: Close mobile menu on item click in the Nav Menu widget

#### 2.0.13 - 2018-07-03
* Tweak: Added compatibility for Elementor v2.1

#### 2.0.12 - 2018-07-02
* Fix: Global widget PHP notices
* Fix: Slides widget active slide lost focus when clicking Editor tabs
* Fix: Form select field send all selected values on multiple selection
* Fix: Validate time field only if it's not empty
* Fix: ConvertKit API not saving name field

#### 2.0.11 - 2018-06-12
* Fix: Theme Builder `author` archive condition ([#4593](https://github.com/pojome/elementor/issues/4593))
* Fix: Respect password protected posts in Post Content widget
* Fix: Custom Fonts redirect to post edit screen in edge cases.

#### 2.0.10 - 2018-06-05
* Tweak: Added `elementor/theme/get_location_templates/template_id` filter hook for multi-language plugins
* Fix: Dynamic Post Terms missing taxonomies if the taxonomy is registered to more then one post types (#4386)
* Fix: Fields shortcode missing after removing a field in Form widget
* Deprecated: `get_theme_templates_by_location` is replaced by `get_location_templates`

#### 2.0.9 - 2018-05-28
* Fix: Compatibility for PHP version 5.4

#### 2.0.8 - 2018-05-28
* Tweak: Added Active state for Nav Menu dropdown
* Tweak: Added style for "Nothing Found" Message for Archive Posts widget
* Tweak: Removed caption control in Site Logo widget
* Tweak: Added option to position currency symbol before/after In Price Table widget
* Fix: Query control manual selection does not show more than 10 items ([#4479](https://github.com/pojome/elementor/issues/4479))
* Fix: Styling glitch with terms list in Post Info widget ([#4342](https://github.com/pojome/elementor/issues/4342))
* Fix: Sub terms missing in Query control in edge cases ([#4527](https://github.com/pojome/elementor/issues/4527))
* Fix: Avoid rendering a template if it's not published
* Fix: 404 Page style not working
* Fix: Price Table button with hover animation not working in editor
* Fix: Styling conflict in Call to Action widget
* Fix: Global Widget tab translation
* Fix: Adding parent wrapper class to Site Title widget

#### 2.0.7 - 2018-05-16
* Fix: Content not found on section when single is set to "All Singular"
* Fix: Open 404 template library for 404 page
* Tweak: Added CSS prefix for dev files
* Tweak: Removed product post type from display conditions

#### 2.0.6 - 2018-05-15
* Tweak: Set type on create new single template
* Tweak: Always show the conditions dialog in the Draft status
* Tweak: Added document type `widget`
* Tweak: Added Post Custom Field tag to URL category
* Fix: When ACF Field Groups are Empty ([#4428](https://github.com/pojome/elementor/issues/4428))
* Fix: Links inside carousel in edge cases
* Fix: Responsive issue in My Templates area
* Fix: Image alignment for post content with text alignment
* Fix: Post Content widget when preview post is missing
* Fix: Global Widget tab translation
* Fix: Style settings for Post / Archive Title widgets

#### 2.0.5 - 2018-05-08
* Fix: Creating a CPT with name like document-type breaks the editor ([#4203](https://github.com/pojome/elementor/issues/4203))
* Fix: Added support for new version of reCAPTCHA
* Fix: Added fallback for controls after `post_status`
* Fix: Required field in forms widget
* Fix: Media Carousel in the Coverflow skin
* Fix: 404 Page show wrong template in edge cases
* Fix: Save the default menu in the Nav Menu widget

#### 2.0.4 - 2018-05-02
* Tweak: Added parent's class for extended widgets
* Tweak: Set entire-site as default to avoid conflict with save without conditions
* Tweak: Initialize global model when it's needed
* Tweak: Removed some duplicate strings
* Tweak: Query control now includes empty terms
* Tweak: Design polish for conditions dialog
* Tweak: Decreasing `minimumInputLength` to 1 of select2
* Fix: Editor not loading for single templates in edge cases
* Fix: Select2 in Safari takes it's time to get the original select width ([#4310](https://github.com/pojome/elementor/issues/4310))
* Fix: Slides per view not working for some effects
* Fix: New slides not showing in the editor
* Fix: Editor for section without a defined location, defaults to content area

#### 2.0.3 - 2018-04-24
* Tweak: Optimize CSS for Post Info widget ([#4214](https://github.com/pojome/elementor/issues/4214), [#4216](https://github.com/pojome/elementor/issues/4216), [#4225](https://github.com/pojome/elementor/issues/4225))
* Fix: Double render on frontend view in core locations
* Fix: Masonry not working in edge cases
* Fix: Added default setting for Author Info tag

#### 2.0.2 - 2018-04-18
* Fix: Regenerate conditions to include all templates

#### 2.0.1 - 2018-04-17
* Tweak: Added div wrapper for Nothing Found massage ([#4136](https://github.com/pojome/elementor/issues/4136))
* Tweak: Show empty categories in Query Control & Display Conditions ([#4127](https://github.com/pojome/elementor/issues/4127))
* Tweak: Added Divider control for Post Info widget
* Fix: Update admin links in Yoast Breadcrumbs widget
* Fix: Sticky element conflict with clearfix CSS
* Fix: Compatibility for PHP version 5.4.32 & 5.5.16 and below
* Fix: Avoid running `wp_head` hooks twice

#### 2.0.0 - 2018-04-16
* New: Introducing Theme Builder - [Release Post](https://elementor.com/introducing-theme-builder/) ([#417](https://github.com/pojome/elementor/issues/417))
* New: Introducing Locations API to inject custom location templates
* New: Introducing Display Conditions for all dynamic templates
* New: Introducing Dynamic Tag feature - a new way to add dynamic content to your design
* New: Introducing Role manager to allow "Content Only mode" ([#483](https://github.com/pojome/elementor/issues/483), [#653](https://github.com/pojome/elementor/issues/653), [#885](https://github.com/pojome/elementor/issues/885))
* New: Introducing 9 new dynamic widgets: Archive Posts, Archive Title, Post Content, Post Info, Post Title, Post Excerpt, Featured Image, Site Logo & Site Name ([#543](https://github.com/pojome/elementor/issues/543))
* New: Introducing Developers area with guides and API documentation - [Release Post](https://elementor.com/introducing-elementor-developer-api/) ([#451](https://github.com/pojome/elementor/issues/451))
* New: Introducing [Elementor Hello Theme](https://github.com/pojome/elementor-hello-theme) - A demonstration theme for developers
* New: Added new type of templates: Header, Footer, Single and Archive ([#2761](https://github.com/pojome/elementor/issues/2761), [#2623](https://github.com/pojome/elementor/issues/2623), [#2109](https://github.com/pojome/elementor/issues/2109), [#2061](https://github.com/pojome/elementor/issues/2061), [#2439](https://github.com/pojome/elementor/issues/2439))
* New: Design 404 page with Single template ([#1558](https://github.com/pojome/elementor/issues/1558))
* New: Design Search Results with Archive template ([#3196](https://github.com/pojome/elementor/issues/3196), [#2590](https://github.com/pojome/elementor/issues/2590))
* New: Added Scrolling Effect for sections including *Sticky Element* per device ([#2412](https://github.com/pojome/elementor/issues/2412))
* New: Integration with Custom Fields ([#2054](https://github.com/pojome/elementor/issues/2054))
* New: Partial support for Toolset integration ([#2949](https://github.com/pojome/elementor/issues/2949))
* New: Partial support for Pods integration ([#2169](https://github.com/pojome/elementor/issues/2169))
* New: Partial support for ACF integration ([#2041](https://github.com/pojome/elementor/issues/2041), [#2059](https://github.com/pojome/elementor/issues/2059))
* Tweak: Add custom fields support for ActiveCampaign ([#3531](https://github.com/pojome/elementor/issues/3531))
* Tweak: Allow brackets in Forms Tel field
* Tweak: Added currency format control for Price Table widget
* Tweak: Reduced API request for some servers
* Fix: Dropdown `border-radius` in Nav Menu widget
* Fix: Price List widget layout breaks in edge cases
* Note: This version requires Elementor v2.0.6

#### 1.15.6 - 2018-03-28
* Fix: Removed duplicate Custom CSS section ([#3938](https://github.com/pojome/elementor/issues/3938))
* Fix: `box-shadow` issue with cards skin ([#3940](https://github.com/pojome/elementor/issues/3940))

#### 1.15.5 - 2018-03-27
* Fix: Added global widget compatibility for Elementor v2.0
* Fix: Reduced API request for some servers

#### 1.15.4 - 2018-03-26
* Tweak: Allow brackets in phone field
* Tweak: Added compatibility with Yoast 7.0.+
* Tweak: Added compatibility for the future release of Elementor v2.0
* Fix: Support for multiple carousel setting in editor
* Fix: `on_export` issue in forms widget ([#3890](https://github.com/pojome/elementor/issues/3890))

#### 1.15.3 - 2018-03-07
* Tweak: Added unique class to field group div ([#3595](https://github.com/pojome/elementor/issues/3595))
* Fix: Screen Options missing when Pro is active ([#3622](https://github.com/pojome/elementor/issues/3622))
* Fix: Allow label styling even when `show labels` is set hide ([#3544](https://github.com/pojome/elementor/issues/3544))
* Fix: Typography control not working in edge cases
* Fix: Safari compatibility for Search widget

#### 1.15.2 - 2018-02-27
* Fix: Only add support mine-type if needed ([#3543](https://github.com/pojome/elementor/issues/3543))
* Fix: Better support for Old Typekit kits

#### 1.15.1 - 2018-02-21
* Tweak: Custom font title placeholder is not `enter font family`
* Tweak: Custom font title set as required
* Fix: Custom font, `font-face` enqueued only once if used in global ([#3513](https://github.com/pojome/elementor/issues/3513))
* Fix: Added workaround for upload validation which relies on a PHP extension (fileinfo) with inconsistent reporting behavior.

#### 1.15.0 - 2018-02-19
* New: Added custom fonts manager for self hosted fonts ([#852](https://github.com/pojome/elementor/issues/852))
* New: Integration with Adobe TypeKit fonts ([#631](https://github.com/pojome/elementor/issues/631))
* Tweak: Clear menu from Nav Menu widget on template export
* Tweak: Allow zero for GetResponse integration as `day of cycle`

#### 1.14.2 - 2018-02-13
* Fix: Global widget content that got affected by previous update

#### 1.14.1 - 2018-02-13
* Tweak: Added `none` option to content animation in CTA widget
* Tweak: Added `form_id` to ActiveCampaign integration ([#3422](https://github.com/pojome/elementor/issues/3422))
* Fix: Page crashed when Global widget not found.

#### 1.14.0 - 2018-02-12
* New: Added Call to Action widget
* Tweak: MailPoet pull field mapping from MailPoet instead of hardcoded
* Tweak: Added compatibility for the future release of Elementor v2.0
* Fix: Allow zero (0) to be accepted as a field value
* Fix: Login form when custom login URL is set
* Fix: Added Day of cycle control to GetResponse integration

#### 1.13.2 - 2018-01-23
* Tweak: Added placeholder to Password field
* Tweak: Removed `subscriber_already_exists_message` control to prevent potential data leakage
* Fix: MailPoet Subscriber Already Exists error validation against translated string directly from MailPoet
* Fix: Changed `imagesLoaded()` to Vanilla JS to avoid compatibility issues with some themes
* Fix: Only validate Tel field if not empty
* Fix: Stop slider while editing

#### 1.13.1 - 2018-01-16
* Fix: Added compatibility with old PHP versions

#### 1.13.0 - 2018-01-16
* New: Added File Upload field for Forms widget ([#1482](https://github.com/pojome/elementor/issues/1482), [#2974](https://github.com/pojome/elementor/issues/2974))
* New: Added Acceptance field for Forms widget ([#1693](https://github.com/pojome/elementor/issues/1693), [#2974](https://github.com/pojome/elementor/issues/2974))
* New: Added Date field for Forms widget ([#1868](https://github.com/pojome/elementor/issues/1868))
* New: Added Time field for Forms widget
* New: Added Password field for Forms widget ([#2164](https://github.com/pojome/elementor/issues/2164))
* New: Added HTML field for Forms widget ([#1500](https://github.com/pojome/elementor/issues/1500))
* Tweak: Added characters validation for Tel field
* Tweak: Added min & max validation for Number field
* Tweak: Added multiple selection for Select field
* Tweak: Added donReach integration for Share Buttons widget

#### 1.12.3 - 2018-01-09
* Fix: Render element plain content instead of parsed content when not needed in global widget
* Fix: Apply `url-encoding` to "Tweet" button text in Blockquote widget to prevent unexpected corruption of the tweet text
* Fix: Removed My Account link from dashboard widget

#### 1.12.2 - 2018-01-03
* Tweak: Added animation none for Nav Menu widget ([#2964](https://github.com/pojome/elementor/issues/2964))
* Fix: Active license button style

#### 1.12.1 - 2018-01-02
* Tweak: Removed theme-element widgets from plain content
* Tweak: Set all theme-element widgets to extend same widget Base
* Tweak: Removed credit URL in forms meta data
* Tweak: Added compatibility for the future release of Elementor v1.9
* Fix: Validate Get response Error as real error
* Fix: Removed responsive height control from Facebook Page widget

#### 1.12.0 - 2017-12-20
* New: Added Drip integration to Forms
* New: Added ActiveCampaign integration to Forms
* New: Added ConverKit integration to Forms
* New: Added GetResponse integration to Forms
* New: Added form `id`, `name` attributes to handle integration with auto collectors like HubSpot
* New: Added Global API key for MailChimp to improve the workflow
* Tweak: Better error handling and message display for Forms
* Fix: PHP notice Undefined variable `$cc_header` ([#2934](https://github.com/pojome/elementor/issues/2934))

#### 1.11.0 - 2017-12-11
* New: Added a native Comments widget ([#543](https://github.com/pojome/elementor/issues/543))
* New: Added an Author Box widget
* New: Added a Post Navigation widget
* New: Added a Yoast Breadcrumbs widget ([#2749](https://github.com/pojome/elementor/issues/2749))
* Tweak: Added a close button to search widget under Full Screen skin ([#2762](https://github.com/pojome/elementor/issues/2762))
* Fix: Allow currency symbol to appear even if price isn't numeric
* Fix: Edge cases when the nav menu is empty in a stretched section
* Fix: Added fallback when you remove the `space-between` on Swiper carousel

#### 1.10.2 - 2017-12-03
* Fix: Missing save widget icon ([#2878](https://github.com/pojome/elementor/issues/2878))
* Fix: Global widgets not saving edits ([#2874](https://github.com/pojome/elementor/issues/2874))
* Fix: Removed `white-space: nowrap;` property from vertical menu in Nav Menu widget ([#2815](https://github.com/pojome/elementor/issues/2815))

#### 1.10.1 - 2017-11-30
* Tweak: Added default value for search form
* Tweak: Order template list A-Z in the library widget
* Tweak: get_users/authors query is now done using AJAX only, for better performance in Query Control ([#2865](https://github.com/pojome/elementor/issues/2865))
* Fix: When adding `.00` it is not displayed on the front
* Fix: Make sure space between is numeric for carousel control
* Fix: Added space for radio & checkbox fields in form widget

#### 1.10.0 - 2017-11-15
* New: Added native Search form widget ([#2576](https://github.com/pojome/elementor/issues/2576))
* Tweak: Added Slides To Scroll & Loop controls to Media Carousel and Testimonials widgets
* Tweak: Added Inline editing to Blockquote widget
* Fix: Animated Headline color bug ([#2516](https://github.com/pojome/elementor/issues/2516))
* Fix: Animated Headline with Rotating skin
* Fix: RTL fix for Animated Headline widget in 'typing' and 'clip' animations
* Fix: Empty menu cause jQuery to crash in Menu widget ([#2662](https://github.com/pojome/elementor/issues/2662))
* Fix: Custom CSS gone after reloading the editor

#### 1.9.5 - 2017-10-27
* Fix: Broken Global widget with JS ([#2639](https://github.com/pojome/elementor/issues/2639))

#### 1.9.4 - 2017-10-24
* Tweak: Improved UI for notices and license page
* Fix: Update system conflict with other EDD plugins
* Fix: WooCommerce frontend hooks on Elementor editor ([#2577](https://github.com/pojome/elementor/issues/2577))
* Fix: Removed default border left in Nav Menu dropdown CSS ([#2496](https://github.com/pojome/elementor/issues/2496))
* Fix: Increased submenu max-width ([#2558](https://github.com/pojome/elementor/issues/2558))
* Fix: Save global templates without their defaults
* Fix: Horizontal scrolling issue with posts grid

#### 1.9.3 - 2017-10-03
* Fix: Condition slide style that got affected by previous update

#### 1.9.2 - 2017-10-02
* New: Added integration with MailPoet 3 for Forms actions
* Fix: Removed height control from Testimonial carousel in mobile editing mode
* Fix: Removed bottom padding when there's no pagination in Testimonial carousel
* Fix: Added condition for slides style section in skin bubble mode
* Fix: Slides per view control for mobile editing in Testimonial carousel
* Fix: Navigation Arrows icons matched with common Elementor Navigation Arrows

#### 1.9.1 - 2017-09-28
* Fix: Slides per view for slideshow carousel
* Fix: Final polish for the new Testimonial Carousel widget
* Fix: Don't play video if slide type is not video
* Fix: Removed slides style section condition ([#2497](https://github.com/pojome/elementor/issues/2497))
* Fix: Set cursor as pointer for slideshow thumbnails

#### 1.9.0 - 2017-09-26
* New: Added Media Carousel widget ([#216](https://github.com/pojome/elementor/issues/216), [#347](https://github.com/pojome/elementor/issues/347), [#2209](https://github.com/pojome/elementor/issues/2209))
* New: Added Testimonial Carousel widget ([#715](https://github.com/pojome/elementor/issues/715))

#### 1.8.3 - 2017-09-24
* Fix: Added compatibility for WordPress 4.8.2 & 4.7.6
* Fix: Remove slashes from Form sent data

#### 1.8.2 - 2017-09-19
* Tweak: Added target URL for the tweet message in Blockquote widget
* Tweak: Render the slide height before the slider is finished loading
* Fix: Space between words for Animated Headline widget
* Fix: RTL compatibility for Animated Headline widget
* Fix: Italic font style for Animated Headline widget
* Fix: Excluded Menu widget from the WP Editor text rendering

#### 1.8.1 - 2017-09-18
* Fix: WCAG Compatible "required" field attribute for W3C validation ([#2391](https://github.com/pojome/elementor/issues/2391))
* Fix: Print the main menu only when is necessary in Menu widget
* Fix: Use CSS media query instead of JS to hide items in Menu widget to avoid flickering on page load ([#2381](https://github.com/pojome/elementor/issues/2381))

#### 1.8.0 - 2017-09-12
* New: Added Nav Menu widget ([#1406](https://github.com/pojome/elementor/issues/1406))
* Fix: Field ID for checkbox control in Form widget ([#2279](https://github.com/pojome/elementor/issues/2279))
* Fix: Style for Blockquote widget included

#### 1.7.2 - 2017-09-07
* Tweak: Loading Facebook SDK via JS for better compatibility with caching plugins
* Fix: Responsive Embed Facebook post widget for Safari iOS ([#2340](https://github.com/pojome/elementor/issues/2340))

#### 1.7.1 - 2017-09-05
* Fix: Facebook SDK version

#### 1.7.0 - 2017-09-05
* New: Added Facebook Button widget for Like, Recommend, Share and Follow
* New: Added Facebook Embed widget for Post, Video and Comment
* New: Added Facebook Comments widget
* New: Added Facebook Page widget (Previously known as Like Box)
* New: Added Blockquote widget with Tweet button
* Tweak: Added Facebook SDK integration for all Facebook widgets
* Fix: Animated headline rotating with long words

#### 1.6.1 - 2017-08-28
* Fix: Animated Headline marker gets in front of neighboring spans even when "Bring to Front" is not set
* Fix: Stroke animation in Animated Headline for MS Edge browser
* Fix: Animated headline with more than 1-word per rotation
* Fix: Animated Headline in two lines
* Fix: Some errors in Global widget

#### 1.6.0 - 2017-08-22
* New: Added Animated Headline widget
* New: Added Hidden field for Forms widget ([#2038](https://github.com/pojome/elementor/issues/2038))
* Tweak: Added notice to update Elementor to v1.6.5 or higher
* Fix: CSS Animations names no longer minified, in order to prevent unexpected conflicts

#### 1.5.9 - 2017-08-16
* Tweak: Added compatibility for the future release of Elementor v1.7
* Fix: Portfolio compatibility for GeneratePress theme
* Fix: Portfolio filter compatibility for RTL
* Fix: Pagination apply for all posts widget in the page
* Fix: Global form widget with MailChimp integration not saving

#### 1.5.8 - 2017-07-25
* Tweak: Added compatibility for the future release of Elementor v1.6
* Fix: Improved backward compatibility for query control rename

#### 1.5.7 - 2017-07-24
* Tweak: Moved JS render of reCAPTCHA to a separate file
* Tweak: Display the label in the reCAPTCHA field for better experience
* Tweak: Rename `panel-posts-control` to `query-control` and added fallback support
* Tweak: Added compatibility for the future release of Elementor with history feature
* Fix: reCAPTCHA preview on the editor
* Fix: Manual selection (query control) has stopped working after saving ([#2000](https://github.com/pojome/elementor/issues/2000))
* Fix: Added condition for icon size control in Share Buttons widget

#### 1.5.6 - 2017-07-12
* Fix: Query Control correction for taxonomies ([#1963](https://github.com/pojome/elementor/issues/1963))
* Fix: Custom CSS override scheme color in the editor
* Fix: Added order by Menu Order for Query Control in WC widget
* Fix: Glitch with Flip Box background overlay

#### 1.5.5 - 2017-07-03
* Tweak: Moved reCAPTCHA render to handler & load only if a form is exist
* Fix: MailChimp integration: Default number of items returned by API increased to 999
* Fix: MailChimp integration: Refresh the groups list if API is changed
* Fix: Sorted items in filter bar by A-Z
* Fix: Editor glitch with Elementor v1.5 ([#1927](https://github.com/pojome/elementor/issues/1927))

#### 1.5.4 - 2017-06-22
* Tweak: Improved compatibility for Elementor v1.5
* Fix: URL default for Add To Cart widget
* Fix: Allowed `date` and `birthday` fields as text for MailChimp integration

#### 1.5.3 - 2017-06-19
* Tweak: Make flip-box height responsive control
* Fix: Facebook share count now gets retrieved by Elementor ([#1829](https://github.com/pojome/elementor/issues/1829))
* Fix: Global form widget with MailChimp integration not saving

#### 1.5.2 - 2017-06-13
* Fix: Custom CSS panel location compatibility for the old versions

#### 1.5.1 - 2017-06-12
* Fix: MailChimp update existing user registration
* Fix: Global widget with JS in the editor mode
* Fix: Label section condition in Login widget
* Fix: Changes to unlinked global widget do not appear in the editor

#### 1.5.0 - 2017-05-23
* New: Added Cards, a new skin for Posts widget
* New: Added Exclude option to post query control group
* Tweak: Added `post_class()` for each post in the loop
* Tweak: Added `.elementor-posts-masonry` class when Masonry layout is enabled
* Tweak: Added compatibility for the next release of Elementor v1.5.0
* Tweak: CSS `autoprefixer` now supports last 5 versions of browsers
* Tweak: Added `imageLoaded` library for Posts & Portfolio widgets

#### 1.4.4 - 2017-05-18
* Fix: Force Mailchimp API to return all lists and not just 10 ([#1683](https://github.com/pojome/elementor/issues/1683))
* Fix: Added `.elementor-form` class to Login form to fix style glitch

#### 1.4.3 - 2017-05-14
* Tweak: Added Redirect After Login option to Login widget
* Tweak: Stay in the current page after logout in Login widget
* Tweak: Preparation for Elementor settings tabs in future version
* Fix: Pinterest in Share Buttons widget now sharing the URL alone
* Fix: Bug with `active` class in portfolio filter item
* Fix: Higher specific list-style-type `none` for filter items to override some theme style

#### 1.4.2 - 2017-05-06
* Fix: Temporary patch for form field shortcode in some servers

#### 1.4.1 - 2017-05-03
* Fix: Bug with custom success message in form widget
* Fix: Bug with meta data in email action

#### 1.4.0 - 2017-05-03
* New: Forms: integration with MailChimp
* New: Forms: integration with MailPoet
* New: Forms: Added Email 2 action for email confirmation
* New: Forms: Added shortcodes for fields
* New: Forms: Added custom ID for fields
* New: Forms: Added option to edit email HTML template ([#1180](https://github.com/pojome/elementor/issues/1180))
* New: Added Login widget
* Tweak: Move `send_html` control to `email_content_type`
* Fix: Email still sent even if validation failed in form widget

#### 1.3.2 - 2017-05-01
* New: Added action `elementor_pro/init` for better integration with Elementor Pro
* Fix: Posts without featured image in Posts widget ([#1234](https://github.com/pojome/elementor/issues/1234), [#1382](https://github.com/pojome/elementor/issues/1382))
* Fix: reCAPTCHA & Honeypot fields with new method
* Fix: Added border width control in Share Buttons to avoid a glitch on Chrome browser
* Fix: Border radius glitch on hover in Share Buttons

#### 1.3.1 - 2017-04-25
* Fix: Conflict update with revision history module

#### 1.3.0 - 2017-04-25
* New: Added Share Buttons widget ([Topic](https://wordpress.org/support/topic/social-sharing-buttons-is-it-possible/))
* New: Added Custom CSS for Page Settings
* New: Added Masonry layout for Portfolio widget
* New: Added Cc & Bcc options to email action ([#1181](https://github.com/pojome/elementor/issues/1181))
* New: Introduced `ElementorPro\Modules\Forms\Classes\Action_Base` class for better 3rd party integration for forms
* Tweak: Debugger module now also shows errors from Pro
* Tweak: Added options for Elementor Library
* Tweak: New base posts module for optimized performance
* Tweak: Adjusting Posts / Portfolio to the new structure
* Fix: Export for posts / portfolio
* Fix: Duplicate repeater field with switcher control ([#1442](https://github.com/pojome/elementor/issues/1442))
* Fix: Post per Page in the query control
* Fix: Metadata does not come through on form emails ([#1566](https://github.com/pojome/elementor/issues/1566))

#### 1.2.6 - 2017-04-19
* Fix: Added compatibility with WooCommerce 3.0 - Products & Add to Cart widgets

#### 1.2.5 - 2017-04-18
* Fix: Offset query for posts widgets (Posts, Portfolio and Products)

#### 1.2.4 - 2017-03-21
* Tweak: Added Indian Rupee sign to Price Table widget
* Fix: Portfolio grid for IE11
* Fix: Link target blank in Price List widget
* Fix: Active item for filter bar in Portfolio widget

#### 1.2.3 - 2017-03-06
* Tweak: Fully compatible with Elementor v1.3.0
* Tweak: Added trigger for after form submission in Forms widget
* Tweak: Changed handle name in reCAPTCHA field to avoid conflict with other contact forms
* Fix: Portfolio filter syntax in Non-Latin languages
* Fix: Added `no-repeat` property for slide with `background-size:contain`
* Fix: Condition control & Import value in Posts widgets
* Fix: Offset and Pagination in WordPress ([More Info](https://codex.wordpress.org/Making_Custom_Queries_using_Offset_and_Pagination))
* Fix: Submit handler bubbling for custom events in Forms widget

#### 1.2.2 - 2017-02-23
* Tweak: Change name from Side A/B to Front and Back in Flip Box widget
* Fix: Error when saving third party widgets in the global widget
* Fix: Image position "none" remains visible in editor preview (Posts)
* Fix: Hide the pagination when there are no links

#### 1.2.1 - 2017-02-21
* Fix: Firefox Flip Box 3D compatibility

#### 1.2.0 - 2017-02-21
* New: Added Flip Box widget
* New: Added Ken Burns effect for slides
* New: Added Masonry layout for Posts widget
* New: Added Pagination option for Posts widget
* Tweak: Added background size contain to slides
* Tweak: Improve Query control by preload items
* Fix: Text color for Checkbox and Radio fields

#### 1.1.2 - 2017-02-05
* Tweak: Added `aria-required` for better accessibility in forms widget
* Fix: Conflict Call to `undefined` method in Posts & Portfolio widgets ([#1271](https://github.com/pojome/elementor/issues/1271), [#1266](https://github.com/pojome/elementor/issues/1266))
* Fix: Submit button HTML after error sending
* Fix: Success message for `skip_email` function
* Notice: Elementor 1.2.0 or later now required

#### 1.1.1 - 2017-01-24
* Fix: Can't save global widgets when `WP_DEBUG` is `true`
* Fix: Undefined variable in WC widgets
* Fix: Removed duplicate strings

#### 1.1.0 - 2017-01-24
* New: Price Table widget ([#102](https://github.com/pojome/elementor/issues/102))
* New: WooCommerce Add to Cart widget
* New: WooCommerce Categories widget
* New: WooCommerce Elements widget
* New: Honeypot field for Forms widgets
* Tweak: Added inline options for taxonomies & authors if is less than 15 items
* Tweak: Added Required Mark for fields in Forms widget
* Fix: CSS selectors priority in Slides widget
* Fix: CSS bug in Price List widget
* Fix: Update all Post CSS files that includes specific Global Widget

#### 1.0.9 - 2017-01-18
* Fix: Auto complete bug in query controls
* Fix: Render template with escaping slashes
* Fix: Reply-to field in Forms widget

#### 1.0.8 - 2017-01-11
* Tweak: Code adjustments for Elementor API
* Fix: Removed go pro link from plugins page in admin

#### 1.0.7 - 2017-01-05
* Tweak: Added filter by featured / sale for WC Products widget
* Tweak: Added author control in Portfolio widget
* Tweak: Code adjustments for Elementor API
* Fix: Added support for empty image ratio
* Fix: Avoid nesting a sidebar within a template that will appear in the sidebar itself

#### 1.0.6 - 2017-01-01
* Tweak: Added Auto-updates for local translation files
* Fix: Custom CSS for Global widgets
* Fix: Remove `nonce` field (Fix some cache plugins)

#### 1.0.5 - 2016-12-27
* Fix: Slide element bug fix - 'Link apply on' logic
* Fix: Removed unique wrapper for Custom CSS in order to allow media queries ([#1086](https://github.com/pojome/elementor/issues/1086))

#### 1.0.4 - 2016-12-21
* Tweak: Mobile Editing for fields in the form widget
* Tweak: Mobile Editing for posts
* Tweak: Allow send form as HTML
* Tweak: Improved auto upgrades for Multisite installation
* Tweak: Improve editor rendering experience for Portfolio widget
* Fix: Posts widget check if image exist
* Fix: Changed the clone method for global widget ([#1042](https://github.com/pojome/elementor/issues/1042))
* Fix: Bug slides in RTL (removed direction control)
* Fix: Slides with no height jumps when changing slides

#### 1.0.3 - 2016-12-13
* Fix: Added escape placeholder for HTML Entities in form widget
* Fix: Countdown widget RTL bug
* Fix: Remove redundant #elementor selector for control style
* Fix: Added prefixing with '0' for one digit number in Countdown widget

#### 1.0.2 - 2016-12-12
* Fix: Page layout collapses when inserting reCAPTCHA field in Form

#### 1.0.1 - 2016-12-12
* Fix: WordPress widgets disappear from Editor when Elementor Pro active

#### 1.0.0 - 2016-12-12
* Initial release
